Subject: Re: [PATCH v4 4/9] bgmac: simplify rx DMA error handling

From: Felix Fietkau <[email-masked]>
Date: Mon, 13 Apr 2015 17:05:38 +0200

On 2015-04-13 16:53, Rafał Miłecki wrote:
> On 13 April 2015 at 15:52, Felix Fietkau <[email-masked]> wrote:
>> Unmap the DMA buffer before checking it. If it is poisoned, map it again
>> and pass it back to the hardware.
> 
> Where exactly do you map it again? I can't see it. It's not handled in
> bgmac_dma_rx_setup_desc. Also keep in mind that mapping may fail -
> this is why old code doesn't unmap anything until a new buffer is
> really ready. How do you want to deal with mapping error after
> unmapping a buffer?
You're right, seems that I accidentally dropped a chunk of the patch.

- Felix